using System.Windows.Input;
using WorkFlowCheck.Common.DTO;

namespace WorkFlowCheck.MAUI.Pages.BaseStock.CheckPoints;

public partial class CheckPointEditPage : ContentPage
{
    public CheckPointDTO CheckPointDTO { get; set; }
    public ICommand SaveCommand { get; }
    public ICommand CancelCommand { get; }

    public CheckPointEditPage(CheckPointDTO checkPointDTO)
    {
        InitializeComponent();
        CheckPointDTO = checkPointDTO;
        BindingContext = this;

        SaveCommand = new Command(OnSave);
        CancelCommand = new Command(OnCancel);

        LoadCheckPointCheckListRows();
    }
    private void LoadCheckPointCheckListRows()
    {
        //IsRefreshing = true;
        //await _syncService.SyncDatas();
        CheckPointCheckListRows.ItemsSource = CheckPointDTO.CheckListTemplateRowDTO;
        //IsRefreshing = false;
        //OnPropertyChanged(nameof(IsRefreshing));
    }
    private async void OnSave()
    {
        // Adatok mentése és visszairányítás az előző oldalra
        // Például adatbázisba mentés előtt itt végrehajthatsz további műveleteket
        await Navigation.PopAsync();
    }

    // A törlési (Cancel) logika
    private async void OnCancel()
    {
        // Visszatérés az előző oldalra anélkül, hogy mentenénk bármit
        //await Navigation.PopAsync();
        await Shell.Current.GoToAsync("//CheckPointsPage");

    }
}
